<?php if ( ! defined( 'ABSPATH' ) ) { die; } // Cannot access pages directly.
// ===============================================================================================
// -----------------------------------------------------------------------------------------------
// FRAMEWORK SETTINGS
// -----------------------------------------------------------------------------------------------
// ===============================================================================================
$settings           = array(
  'menu_title'      => constant('FULLSCREENARTISTS_THEME_NAME').' '.esc_html__('Options', 'fullscreen-artists'),
  'menu_type'       => 'theme', // menu, submenu, options, theme, etc.
  'menu_slug'       => 'cs-framework',
  'ajax_save'       => true,
  'show_reset_all'  => false,
  'framework_title' => sprintf('%s <span>%s</span>', esc_html__('Designthemes Framework', 'fullscreen-artists'),
  	esc_html__('by Designthemes', 'fullscreen-artists') ),
);

// ===============================================================================================
// -----------------------------------------------------------------------------------------------
// FRAMEWORK OPTIONS
// -----------------------------------------------------------------------------------------------
// ===============================================================================================
$options        = array();

$options[]      = array(
  'name'        => 'general',
  'title'       => esc_html__('General', 'fullscreen-artists'),
  'icon'        => 'fa fa-gears',

  'fields'      => array(

	array(
	  'type'    => 'subheading',
	  'content' => esc_html__( 'General Options', 'fullscreen-artists' ),
	),

	array(
	  'id'  	 => 'show-pagecomments',
	  'type'  	 => 'switcher',
	  'title' 	 => esc_html__('Globally Show Page Comments', 'fullscreen-artists'),
	  'info'	 => esc_html__('YES! to show comments on all the pages. This will globally override your "Allow comments" option under your page "Discussion" settings.', 'fullscreen-artists')
	),

	array(
	  'id'  	 => 'showall-pagination',
	  'type'  	 => 'switcher',
	  'title' 	 => esc_html__('Show all pages in Pagination', 'fullscreen-artists'),
	  'info'	 => esc_html__('YES! to show all the pages instead of dots near the current page.', 'fullscreen-artists')
	),

	array(
	  'id'  	 => 'enable-stylepicker',
	  'type'  	 => 'switcher',
	  'title' 	 => esc_html__('Style Picker', 'fullscreen-artists'),
	  'info'	 => esc_html__('YES! to show the style picker.', 'fullscreen-artists')
	),

	array(
	  'id'      => 'google-map-key',
	  'type'    => 'text',
	  'title'   => esc_html__('Google Map API Key', 'fullscreen-artists'),
	  'attributes' => array( 
		'placeholder' => 'xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx'
	  ),
	  'after' 	=> '<p class="cs-text-info">'.esc_html__('Put a valid google account api key here', 'fullscreen-artists').'</p>',
	),

	array(
	  'id'      => 'mailchimp-key',
	  'type'    => 'text',
	  'title'   => esc_html__('Mailchimp API Key', 'fullscreen-artists'),
	  'attributes' => array(
		'placeholder' => 'xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx'
	  ),
	  'after' 	=> '<p class="cs-text-info">'.esc_html__('Put a valid mailchimp account api key here', 'fullscreen-artists').'</p>',
	),

  ),
);

$options[]      = array(
  'name'        => 'allpage_options',
  'title'       => esc_html__('All Page Options', 'fullscreen-artists'),
  'icon'        => 'fa fa-files-o',
  'sections' => array(

	// -----------------------------------------
	// Post Options
	// -----------------------------------------
	array(
	  'name'      => 'post_options',
	  'title'     => esc_html__('Post Options', 'fullscreen-artists'),
	  'icon'      => 'fa fa-file',

		'fields'      => array(

		  array(
			'type'    => 'subheading',
			'content' => esc_html__( "Single Post Options", 'fullscreen-artists' ),
		  ),
		
		  array(
			'id'  		 => 'single-post-authorbox',
			'type'  	 => 'switcher',
			'title' 	 => esc_html__('Single Author Box', 'fullscreen-artists'),
			'info'		 => esc_html__('YES! to display author box in single blog posts.', 'fullscreen-artists')
		  ),

		  array(
			'id'  		 => 'single-post-related',
			'type'  	 => 'switcher',
			'title' 	 => esc_html__('Single Related Posts', 'fullscreen-artists'),
			'info'		 => esc_html__('YES! to display related blog posts in single posts.', 'fullscreen-artists')
		  ),

		  array(
			'id'  		 => 'single-post-comments',
			'type'  	 => 'switcher',
			'title' 	 => esc_html__('Posts Comments', 'fullscreen-artists'),
			'info'		 => esc_html__('YES! to display single blog post comments.', 'fullscreen-artists'),
			'default' 	 => true,
		  ),

		  array(
			'type'    => 'subheading',
			'content' => esc_html__( "Post Archives Page Layout", 'fullscreen-artists' ),
		  ),

		  array(
			'id'      	 => 'post-archives-page-layout',
			'type'       => 'image_select',
			'title'      => esc_html__('Page Layout', 'fullscreen-artists'),
			'options'    => array(
			  'content-full-width'   => FULLSCREENARTISTS_THEME_URI . '/cs-framework-override/images/without-sidebar.png',
			  'with-left-sidebar'    => FULLSCREENARTISTS_THEME_URI . '/cs-framework-override/images/left-sidebar.png',
			  'with-right-sidebar'   => FULLSCREENARTISTS_THEME_URI . '/cs-framework-override/images/right-sidebar.png',
			  'with-both-sidebar'    => FULLSCREENARTISTS_THEME_URI . '/cs-framework-override/images/both-sidebar.png',
			),
			'default'      => 'content-full-width',
			'attributes'   => array(
			  'data-depend-id' => 'post-archives-page-layout',
			),
		  ),

		  array(
			'id'  		 => 'show-standard-left-sidebar-for-post-archives',
			'type'  	 => 'switcher',
			'title' 	 => esc_html__('Show Standard Left Sidebar', 'fullscreen-artists'),
			'dependency' => array( 'post-archives-page-layout', 'any', 'with-left-sidebar,with-both-sidebar' ),
		  ),

		  array(
			'id'  		 => 'show-standard-right-sidebar-for-post-archives',
			'type'  	 => 'switcher',
			'title' 	 => esc_html__('Show Standard Right Sidebar', 'fullscreen-artists'),
			'dependency' => array( 'post-archives-page-layout', 'any', 'with-right-sidebar,with-both-sidebar' ),
		  ),

		  array(
			'type'    => 'subheading',
			'content' => esc_html__( "Post Archives Post Layout", 'fullscreen-artists' ),
		  ),

		  array(
			'id'      	   => 'post-archives-post-layout',
			'type'         => 'image_select',
			'title'        => esc_html__('Post Layout', 'fullscreen-artists'),
			'options'      => array(
			  'one-column' 		  => FULLSCREENARTISTS_THEME_URI . '/cs-framework-override/images/one-column.png',
			  'one-half-column'   => FULLSCREENARTISTS_THEME_URI . '/cs-framework-override/images/one-half-column.png',
			  'one-third-column'  => FULLSCREENARTISTS_THEME_URI . '/cs-framework-override/images/one-third-column.png',
			),
			'default'      => 'one-third-column',
		  ),

		  array(
			'id'  		 => 'post-archives-enable-excerpt',
			'type'  	 => 'switcher',
			'title' 	 => esc_html__('Allow Excerpt', 'fullscreen-artists'),
			'info'		 => esc_html__('YES! to allow excerpt', 'fullscreen-artists'),
			'default'    => true,
		  ),

		  array(
			'id'  		 => 'post-archives-excerpt',
			'type'  	 => 'number',
			'title' 	 => esc_html__('Excerpt Length', 'fullscreen-artists'),
			'after'		 => '<span class="cs-text-desc">&nbsp;'.esc_html__('Put Excerpt Length', 'fullscreen-artists').'</span>',
			'default' 	 => 40,
		  ),

		  array(
			'id'  		 => 'post-archives-enable-readmore',
			'type'  	 => 'switcher',
			'title' 	 => esc_html__('Read More', 'fullscreen-artists'),
			'info'		 => esc_html__('YES! to enable read more button', 'fullscreen-artists'),
			'default'	 => true,
		  ),

		  array(
			'id'  		 => 'post-archives-readmore',
			'type'  	 => 'textarea',
			'title' 	 => esc_html__('Read More Shortcode', 'fullscreen-artists'),
			'info'		 => esc_html__('Paste any button shortcode here', 'fullscreen-artists'),
			'default'	 => '[dt_sc_button title="Read More" style="filled" icon_type="fontawesome" iconalign="icon-right with-icon" iconclass="fa fa-long-arrow-right" class="type1"]',
		  ),

		  array(
			'type'    => 'subheading',
			'content' => esc_html__( "Single Post & Post Archive options", 'fullscreen-artists' ),
		  ),

		  array(
			'id'           => 'post-style',
			'type'         => 'select',
			'title'        => esc_html__('Post Style', 'fullscreen-artists'),
			'options'      => array(
			  'blog-default-style' 		=> esc_html__('Default', 'fullscreen-artists'),
			  'entry-date-left'      	=> esc_html__('Date Left', 'fullscreen-artists'),
			  'entry-date-author-left'  => esc_html__('Date and Author Left', 'fullscreen-artists'),
			  'blog-medium-style'       => esc_html__('Medium', 'fullscreen-artists'),
			  'blog-medium-style dt-blog-medium-highlight'     					 => esc_html__('Medium Hightlight', 'fullscreen-artists'),
			  'blog-medium-style dt-blog-medium-highlight dt-sc-skin-highlight'  => esc_html__('Medium Skin Highlight', 'fullscreen-artists'),
			),
			'class'        => 'chosen',
			'default'      => 'blog-medium-style dt-blog-medium-highlight',
			'info'         => esc_html__('Choose post style to display single blog posts and archives.', 'fullscreen-artists'),
		  ),
		  
		  array(
			'id'      => 'post-format-meta',
			'type'    => 'switcher',
			'title'   => esc_html__('Post Format Meta', 'fullscreen-artists' ),
			'info'	  => esc_html__('YES! to show post format meta information', 'fullscreen-artists'),
			'default' => true
		  ),

		  array(
			'id'      => 'post-author-meta',
			'type'    => 'switcher',
			'title'   => esc_html__('Author Meta', 'fullscreen-artists' ),
			'info'	  => esc_html__('YES! to show post author meta information', 'fullscreen-artists'),
			'default' => true
		  ),

		  array(
			'id'      => 'post-date-meta',
			'type'    => 'switcher',
			'title'   => esc_html__('Date Meta', 'fullscreen-artists' ),
			'info'	  => esc_html__('YES! to show post date meta information', 'fullscreen-artists'),
			'default' => true
		  ),

		  array(
			'id'      => 'post-comment-meta',
			'type'    => 'switcher',
			'title'   => esc_html__('Comment Meta', 'fullscreen-artists' ),
			'info'	  => esc_html__('YES! to show post comment meta information', 'fullscreen-artists'),
			'default' => true
		  ),

		  array(
			'id'      => 'post-category-meta',
			'type'    => 'switcher',
			'title'   => esc_html__('Category Meta', 'fullscreen-artists' ),
			'info'	  => esc_html__('YES! to show post category information', 'fullscreen-artists'),
			'default' => true
		  ),

		  array(
			'id'      => 'post-tag-meta',
			'type'    => 'switcher',
			'title'   => esc_html__('Tag Meta', 'fullscreen-artists' ),
			'info'	  => esc_html__('YES! to show post tag information', 'fullscreen-artists'),
			'default' => true
		  ),

		),
	),

	// -----------------------------------------
	// 404 Options
	// -----------------------------------------
	array(
	  'name'      => '404_options',
	  'title'     => esc_html__('404 Options', 'fullscreen-artists'),
	  'icon'      => 'fa fa-warning',

		'fields'      => array(

		  array(
			'type'    => 'subheading',
			'content' => esc_html__( "404 Message", 'fullscreen-artists' ),
		  ),
		  
		  array(
			'id'      => 'enable-404message',
			'type'    => 'switcher',
			'title'   => esc_html__('Enable Message', 'fullscreen-artists' ),
			'info'	  => esc_html__('YES! to enable not-found page message.', 'fullscreen-artists'),
			'default' => true
		  ),

		  array(
			'id'           => 'notfound-style',
			'type'         => 'select',
			'title'        => esc_html__('Template Style', 'fullscreen-artists'),
			'options'      => array(
			  'type1' 	   => esc_html__('Modern', 'fullscreen-artists'),
			  'type2'      => esc_html__('Classic', 'fullscreen-artists'),
			  'type4'  	   => esc_html__('Diamond', 'fullscreen-artists'),
			  'type5'      => esc_html__('Shadow', 'fullscreen-artists'),
			  'type6'      => esc_html__('Diamond Alt', 'fullscreen-artists'),
			  'type7'  	   => esc_html__('Stack', 'fullscreen-artists'),
			  'type8'  	   => esc_html__('Minimal', 'fullscreen-artists'),
			),
			'class'        => 'chosen',
			'default'      => 'type4',
			'info'         => esc_html__('Choose the style of not-found template page.', 'fullscreen-artists')
		  ),

		  array(
			'id'      => 'notfound-darkbg',
			'type'    => 'switcher',
			'title'   => esc_html__('404 Dark BG', 'fullscreen-artists' ),
			'info'	  => esc_html__('YES! to use dark bg notfound page for this site.', 'fullscreen-artists')
		  ),

		  array(
			'id'           => 'notfound-pageid',
			'type'         => 'select',
			'title'        => esc_html__('Custom Page', 'fullscreen-artists'),
			'options'      => 'pages',
			'class'        => 'chosen',
			'default_option' => esc_html__('Choose the page', 'fullscreen-artists'),
			'info'       	 => esc_html__('Choose the page for not-found content.', 'fullscreen-artists')
		  ),
		  
		  array(
			'type'    => 'subheading',
			'content' => esc_html__( "Background Options", 'fullscreen-artists' ),
		  ),

		  array(
			'id'    => 'notfound_background',
			'type'  => 'background',
			'title' => esc_html__('Background', 'fullscreen-artists')
		  ),

		  array(
			'id'  		 => 'notfound-bg-style',
			'type'  	 => 'textarea',
			'title' 	 => esc_html__('Custom Styles', 'fullscreen-artists'),
			'info'		 => esc_html__('Paste custom CSS styles for not found page.', 'fullscreen-artists')
		  ),

		),
	),

	// -----------------------------------------
	// Underconstruction Options
	// -----------------------------------------
	array(
	  'name'      => 'comingsoon_options',
	  'title'     => esc_html__('Under Construction Options', 'fullscreen-artists'),
	  'icon'      => 'fa fa-thumbs-down',

		'fields'      => array(

		  array(
			'type'    => 'subheading',
			'content' => esc_html__( "Under Construction", 'fullscreen-artists' ),
		  ),
	
		  array(
			'id'      => 'enable-comingsoon',
			'type'    => 'switcher',
			'title'   => esc_html__('Enable Coming Soon', 'fullscreen-artists' ),
			'info'	  => esc_html__('YES! to check under construction page of your website.', 'fullscreen-artists')
		  ),
	
		  array(
			'id'           => 'comingsoon-style',
			'type'         => 'select',
			'title'        => esc_html__('Template Style', 'fullscreen-artists'),
			'options'      => array(
			  'type1' 	   => esc_html__('Diamond', 'fullscreen-artists'),
			  'type2'      => esc_html__('Teaser', 'fullscreen-artists'),
			  'type3'  	   => esc_html__('Minimal', 'fullscreen-artists'),
			  'type4'      => esc_html__('Counter Only', 'fullscreen-artists'),
			  'type5'      => esc_html__('Belt', 'fullscreen-artists'),
			  'type6'  	   => esc_html__('Classic', 'fullscreen-artists'),
			  'type7'  	   => esc_html__('Boxed', 'fullscreen-artists')
			),
			'class'        => 'chosen',
			'default'      => 'type1',
			'info'         => esc_html__('Choose the style of coming soon template.', 'fullscreen-artists'),
		  ),

		  array(
			'id'      => 'uc-darkbg',
			'type'    => 'switcher',
			'title'   => esc_html__('Coming Soon Dark BG', 'fullscreen-artists' ),
			'info'	  => esc_html__('YES! to use dark bg coming soon page for this site.', 'fullscreen-artists')
		  ),

		  array(
			'id'           => 'comingsoon-pageid',
			'type'         => 'select',
			'title'        => esc_html__('Custom Page', 'fullscreen-artists'),
			'options'      => 'pages',
			'class'        => 'chosen',
			'default_option' => esc_html__('Choose the page', 'fullscreen-artists'),
			'info'       	 => esc_html__('Choose the page for comingsoon content.', 'fullscreen-artists')
		  ),

		  array(
			'id'      => 'show-launchdate',
			'type'    => 'switcher',
			'title'   => esc_html__('Show Launch Date', 'fullscreen-artists' ),
			'info'	  => esc_html__('YES! to show launch date text.', 'fullscreen-artists'),
		  ),

		  array(
			'id'      => 'comingsoon-launchdate',
			'type'    => 'text',
			'title'   => esc_html__('Launch Date', 'fullscreen-artists'),
			'attributes' => array( 
			  'placeholder' => '10/30/2017 12:00:00'
			),
			'after' 	=> '<p class="cs-text-info">'.esc_html__('Put Format: 12/30/2017 12:00:00 month/day/year hour:minute:second', 'fullscreen-artists').'</p>',
		  ),

		  array(
			'id'           => 'comingsoon-timezone',
			'type'         => 'select',
			'title'        => esc_html__('UTC Timezone', 'fullscreen-artists'),
			'options'      => array(
			  '-12' => '-12', '-11' => '-11', '-10' => '-10', '-9' => '-9', '-8' => '-8', '-7' => '-7', '-6' => '-6', '-5' => '-5', 
			  '-4' => '-4', '-3' => '-3', '-2' => '-2', '-1' => '-1', '0' => '0', '+1' => '+1', '+2' => '+2', '+3' => '+3', '+4' => '+4',
			  '+5' => '+5', '+6' => '+6', '+7' => '+7', '+8' => '+8', '+9' => '+9', '+10' => '+10', '+11' => '+11', '+12' => '+12'
			),
			'class'        => 'chosen',
			'default'      => '0',
			'info'         => esc_html__('Choose utc timezone, by default UTC:00:00', 'fullscreen-artists'),
		  ),

		  array(
			'id'    => 'comingsoon_background',
			'type'  => 'background',
			'title' => esc_html__('Background', 'fullscreen-artists')
		  ),

		  array(
			'id'  		 => 'comingsoon-bg-style',
			'type'  	 => 'textarea',
			'title' 	 => esc_html__('Custom Styles', 'fullscreen-artists'),
			'info'		 => esc_html__('Paste custom CSS styles for under construction page.', 'fullscreen-artists'),
		  ),

		),
	),

  ),
);

// -----------------------------------------
// Widget area Options
// -----------------------------------------
$options[]      = array(
  'name'        => 'widgetarea_options',
  'title'       => esc_html__('Widget Area', 'fullscreen-artists'),
  'icon'        => 'fa fa-trello',

  'fields'      => array(

	  array(
		'type'    => 'subheading',
		'content' => esc_html__( "Custom Widget Area for Sidebar", 'fullscreen-artists' ),
	  ),

	  array(
		'id'           => 'wtitle-style',
		'type'         => 'select',
		'title'        => esc_html__('Sidebar widget Title Style', 'fullscreen-artists'),
		'options'      => array(
		  'default'    => esc_html__('Choose any type', 'fullscreen-artists'),
		  'type1' 	   => esc_html__('Double Border', 'fullscreen-artists'),
		  'type2'      => esc_html__('Tooltip', 'fullscreen-artists'),
		  'type3'  	   => esc_html__('Title Top Border', 'fullscreen-artists'),
		  'type4'      => esc_html__('Left Border & Pattren', 'fullscreen-artists'),
		  'type5'      => esc_html__('Bottom Border', 'fullscreen-artists'),
		  'type6'  	   => esc_html__('Tooltip Border', 'fullscreen-artists'),
		  'type7'  	   => esc_html__('Boxed Modern', 'fullscreen-artists'),
		  'type8'  	   => esc_html__('Elegant Border', 'fullscreen-artists'),
		  'type9' 	   => esc_html__('Needle', 'fullscreen-artists'),
		  'type10' 	   => esc_html__('Ribbon', 'fullscreen-artists'),
		  'type11' 	   => esc_html__('Content Background', 'fullscreen-artists'),
		  'type12' 	   => esc_html__('Classic BG', 'fullscreen-artists'),
		  'type13' 	   => esc_html__('Tiny Boders', 'fullscreen-artists'),
		  'type14' 	   => esc_html__('BG & Border', 'fullscreen-artists'),
		  'type15' 	   => esc_html__('Classic BG Alt', 'fullscreen-artists'),
		  'type16' 	   => esc_html__('Left Border & BG', 'fullscreen-artists'),
		  'type17' 	   => esc_html__('Basic', 'fullscreen-artists'),
		  'type18' 	   => esc_html__('BG & Pattern', 'fullscreen-artists'),
		),
		'class'          => 'chosen',
		'default_option' => esc_html__('Choose any type', 'fullscreen-artists'),
		'info'           => esc_html__('Choose the style of sidebar widget title.', 'fullscreen-artists')
	  ),

	  array(
		'id'              => 'widgetarea-custom',
		'type'            => 'group',
		'title'           => esc_html__('Custom Widget Area', 'fullscreen-artists'),
		'button_title'    => esc_html__('Add New', 'fullscreen-artists'),
		'accordion_title' => esc_html__('Add New Widget Area', 'fullscreen-artists'),
		'fields'          => array(

		  array(
			'id'          => 'widgetarea-custom-name',
			'type'        => 'text',
			'title'       => esc_html__('Name', 'fullscreen-artists'),
		  ),

		)
	  ),

	),
);

// -----------------------------------------
// Woocommerce Options
// -----------------------------------------
if( function_exists( 'is_woocommerce' ) ){

	$options[]      = array(
	  'name'        => 'woocommerce_options',
	  'title'       => esc_html__('Woocommerce', 'fullscreen-artists'),
	  'icon'        => 'fa fa-shopping-cart',

	  'fields'      => array(

		  array(
			'type'    => 'subheading',
			'content' => esc_html__( "Woocommerce Shop Page Options", 'fullscreen-artists' ),
		  ),

		  array(
			'id'  		 => 'shop-product-per-page',
			'type'  	 => 'number',
			'title' 	 => esc_html__('Products Per Page', 'fullscreen-artists'),
			'after'		 => '<span class="cs-text-desc">&nbsp;'.esc_html__('Number of products to show in catalog / shop page', 'fullscreen-artists').'</span>',
			'default' 	 => 12,
		  ),

		  array(
			'id'           => 'product-style',
			'type'         => 'select',
			'title'        => esc_html__('Product Style', 'fullscreen-artists'),
			'options'      => array(
			  'type1' 	   => esc_html__('Thick Border', 'fullscreen-artists'),
			  'type2'      => esc_html__('Pattern Overlay', 'fullscreen-artists'),
			  'type3'  	   => esc_html__('Thin Border', 'fullscreen-artists'),
			  'type4'      => esc_html__('Diamond Icons', 'fullscreen-artists'),
			  'type5'      => esc_html__('Girly', 'fullscreen-artists'),
			  'type6'  	   => esc_html__('Push Animation', 'fullscreen-artists'),
			  'type7' 	   => esc_html__('Dual Color BG', 'fullscreen-artists'),
			  'type8' 	   => esc_html__('Modern', 'fullscreen-artists'),
			  'type9' 	   => esc_html__('Diamond & Border', 'fullscreen-artists'),
			  'type10' 	   => esc_html__('Easing', 'fullscreen-artists'),
			  'type11' 	   => esc_html__('Boxed', 'fullscreen-artists'),
			  'type12' 	   => esc_html__('Easing Alt', 'fullscreen-artists'),
			  'type13' 	   => esc_html__('Parallel', 'fullscreen-artists'),
			  'type14' 	   => esc_html__('Pointer', 'fullscreen-artists'),
			  'type15' 	   => esc_html__('Diamond Flip', 'fullscreen-artists'),
			  'type16' 	   => esc_html__('Stack', 'fullscreen-artists'),
			  'type17' 	   => esc_html__('Bouncy', 'fullscreen-artists'),
			  'type18' 	   => esc_html__('Hexagon', 'fullscreen-artists'),
			  'type19' 	   => esc_html__('Masked Diamond', 'fullscreen-artists'),
			  'type20' 	   => esc_html__('Masked Circle', 'fullscreen-artists'),
			  'type21' 	   => esc_html__('Classic', 'fullscreen-artists'),
			),
			'class'        => 'chosen',
			'default' 	   => 'type9',
			'info'         => esc_html__('Choose products style to display shop & archive pages.', 'fullscreen-artists')
		  ),

		  array(
			'id'      	 => 'shop-page-product-layout',
			'type'       => 'image_select',
			'title'      => esc_html__('Product Layout', 'fullscreen-artists'),
			'options'    => array(
			  'one-half-column'     => FULLSCREENARTISTS_THEME_URI . '/cs-framework-override/images/one-half-column.png',
			  'one-third-column'    => FULLSCREENARTISTS_THEME_URI . '/cs-framework-override/images/one-third-column.png',
			  'one-fourth-column'   => FULLSCREENARTISTS_THEME_URI . '/cs-framework-override/images/one-fourth-column.png',
			),
			'default'      => 'one-third-column',
			'attributes'   => array(
			  'data-depend-id' => 'shop-page-product-layout',
			),
		  ),

		  array(
			'type'    => 'subheading',
			'content' => esc_html__( "Product Detail Page Options", 'fullscreen-artists' ),
		  ),

		  array(
			'id'      	   => 'product-layout',
			'type'         => 'image_select',
			'title'        => esc_html__('Layout', 'fullscreen-artists'),
			'options'      => array(
			  'content-full-width'   => FULLSCREENARTISTS_THEME_URI . '/cs-framework-override/images/without-sidebar.png',
			  'with-left-sidebar'    => FULLSCREENARTISTS_THEME_URI . '/cs-framework-override/images/left-sidebar.png',
			  'with-right-sidebar'   => FULLSCREENARTISTS_THEME_URI . '/cs-framework-override/images/right-sidebar.png',
			  'with-both-sidebar'    => FULLSCREENARTISTS_THEME_URI . '/cs-framework-override/images/both-sidebar.png',
			),
			'default'      => 'content-full-width',
			'attributes'   => array(
			  'data-depend-id' => 'product-layout',
			),
		  ),

		  array(
			'id'  		 	 => 'show-shop-standard-left-sidebar-for-product-layout',
			'type'  		 => 'switcher',
			'title' 		 => esc_html__('Show Shop Standard Left Sidebar', 'fullscreen-artists'),
			'dependency'   	 => array( 'product-layout', 'any', 'with-left-sidebar,with-both-sidebar' ),
		  ),

		  array(
			'id'  			 => 'show-shop-standard-right-sidebar-for-product-layout',
			'type'  		 => 'switcher',
			'title' 		 => esc_html__('Show Shop Standard Right Sidebar', 'fullscreen-artists'),
			'dependency' 	 => array( 'product-layout', 'any', 'with-right-sidebar,with-both-sidebar' ),
		  ),

		  array(
			'id'  		 	 => 'enable-related',
			'type'  		 => 'switcher',
			'title' 		 => esc_html__('Show Related Products', 'fullscreen-artists'),
			'info'	  		 => esc_html__("YES! to display related products on single product's page.", 'fullscreen-artists')
		  ),

		  array(
			'type'    => 'subheading',
			'content' => esc_html__( "Product Category Page Options", 'fullscreen-artists' ),
		  ),

		  array(
			'id'      	   => 'product-category-layout',
			'type'         => 'image_select',
			'title'        => esc_html__('Layout', 'fullscreen-artists'),
			'options'      => array(
			  'content-full-width'   => FULLSCREENARTISTS_THEME_URI . '/cs-framework-override/images/without-sidebar.png',
			  'with-left-sidebar'    => FULLSCREENARTISTS_THEME_URI . '/cs-framework-override/images/left-sidebar.png',
			  'with-right-sidebar'   => FULLSCREENARTISTS_THEME_URI . '/cs-framework-override/images/right-sidebar.png',
			  'with-both-sidebar'    => FULLSCREENARTISTS_THEME_URI . '/cs-framework-override/images/both-sidebar.png',
			),
			'default'      => 'content-full-width',
			'attributes'   => array(
			  'data-depend-id' => 'product-category-layout',
			),
		  ),

		  array(
			'id'  		 	 => 'show-shop-standard-left-sidebar-for-product-category-layout',
			'type'  		 => 'switcher',
			'title' 		 => esc_html__('Show Shop Standard Left Sidebar', 'fullscreen-artists'),
			'dependency'   	 => array( 'product-category-layout', 'any', 'with-left-sidebar,with-both-sidebar' ),
		  ),

		  array(
			'id'  			 => 'show-shop-standard-right-sidebar-for-product-category-layout',
			'type'  		 => 'switcher',
			'title' 		 => esc_html__('Show Shop Standard Right Sidebar', 'fullscreen-artists'),
			'dependency' 	 => array( 'product-category-layout', 'any', 'with-right-sidebar,with-both-sidebar' ),
		  ),
		  
		  array(
			'type'    => 'subheading',
			'content' => esc_html__( "Product Tag Page Options", 'fullscreen-artists' ),
		  ),

		  array(
			'id'      	   => 'product-tag-layout',
			'type'         => 'image_select',
			'title'        => esc_html__('Layout', 'fullscreen-artists'),
			'options'      => array(
			  'content-full-width'   => FULLSCREENARTISTS_THEME_URI . '/cs-framework-override/images/without-sidebar.png',
			  'with-left-sidebar'    => FULLSCREENARTISTS_THEME_URI . '/cs-framework-override/images/left-sidebar.png',
			  'with-right-sidebar'   => FULLSCREENARTISTS_THEME_URI . '/cs-framework-override/images/right-sidebar.png',
			  'with-both-sidebar'    => FULLSCREENARTISTS_THEME_URI . '/cs-framework-override/images/both-sidebar.png',
			),
			'default'      => 'content-full-width',
			'attributes'   => array(
			  'data-depend-id' => 'product-tag-layout',
			),
		  ),

		  array(
			'id'  		 	 => 'show-shop-standard-left-sidebar-for-product-tag-layout',
			'type'  		 => 'switcher',
			'title' 		 => esc_html__('Show Shop Standard Left Sidebar', 'fullscreen-artists'),
			'dependency'   	 => array( 'product-tag-layout', 'any', 'with-left-sidebar,with-both-sidebar' ),
		  ),

		  array(
			'id'  			 => 'show-shop-standard-right-sidebar-for-product-tag-layout',
			'type'  		 => 'switcher',
			'title' 		 => esc_html__('Show Shop Standard Right Sidebar', 'fullscreen-artists'),
			'dependency' 	 => array( 'product-tag-layout', 'any', 'with-right-sidebar,with-both-sidebar' ),
		  ),

	  ),
	);
}

// -----------------------------------------
// Hook Options
// -----------------------------------------
$options[]      = array(
  'name'        => 'hook_options',
  'title'       => esc_html__('Hooks', 'fullscreen-artists'),
  'icon'        => 'fa fa-paperclip',

  'fields'      => array(

	  array(
		'type'    => 'subheading',
		'content' => esc_html__( "Top Hook", 'fullscreen-artists' ),
	  ),

	  array(
		'id'  	=> 'enable-top-hook',
		'type'  => 'switcher',
		'title' => esc_html__('Enable Top Hook', 'fullscreen-artists'),
		'info'	=> esc_html__("YES! to enable top hook.", 'fullscreen-artists')
	  ),

	  array(
		'id'  		 => 'top-hook',
		'type'  	 => 'textarea',
		'title' 	 => esc_html__('Top Hook', 'fullscreen-artists'),
		'info'		 => esc_html__('Paste your top hook, Executes after the opening &lt;body&gt; tag.', 'fullscreen-artists')
	  ),

	  array(
		'type'    => 'subheading',
		'content' => esc_html__( "Content Before Hook", 'fullscreen-artists' ),
	  ),

	  array(
		'id'  	=> 'enable-content-before-hook',
		'type'  => 'switcher',
		'title' => esc_html__('Enable Content Before Hook', 'fullscreen-artists'),
		'info'	=> esc_html__("YES! to enable content before hook.", 'fullscreen-artists')
	  ),

	  array(
		'id'  		 => 'content-before-hook',
		'type'  	 => 'textarea',
		'title' 	 => esc_html__('Content Before Hook', 'fullscreen-artists'),
		'info'		 => esc_html__('Paste your content before hook, Executes before the opening &lt;#primary&gt; tag.', 'fullscreen-artists')
	  ),

	  array(
		'type'    => 'subheading',
		'content' => esc_html__( "Content After Hook", 'fullscreen-artists' ),
	  ),

	  array(
		'id'  	=> 'enable-content-after-hook',
		'type'  => 'switcher',
		'title' => esc_html__('Enable Content After Hook', 'fullscreen-artists'),
		'info'	=> esc_html__("YES! to enable content after hook.", 'fullscreen-artists')
	  ),

	  array(
		'id'  		 => 'content-after-hook',
		'type'  	 => 'textarea',
		'title' 	 => esc_html__('Content After Hook', 'fullscreen-artists'),
		'info'		 => esc_html__('Paste your content after hook, Executes after the closing &lt;/#main&gt; tag.', 'fullscreen-artists')
	  ),

	  array(
		'type'    => 'subheading',
		'content' => esc_html__( "Bottom Hook", 'fullscreen-artists' ),
	  ),

	  array(
		'id'  	=> 'enable-bottom-hook',
		'type'  => 'switcher',
		'title' => esc_html__('Enable Bottom Hook', 'fullscreen-artists'),
		'info'	=> esc_html__("YES! to enable bottom hook.", 'fullscreen-artists')
	  ),

	  array(
		'id'  		 => 'bottom-hook',
		'type'  	 => 'textarea',
		'title' 	 => esc_html__('Bottom Hook', 'fullscreen-artists'),
		'info'		 => esc_html__('Paste your bottom hook, Executes after the closing &lt;/body&gt; tag.', 'fullscreen-artists')
	  ),

 array(
		'id'  	=> 'enable-analytics-code',
		'type'  => 'switcher',
		'title' => esc_html__('Enable Tracking Code', 'fullscreen-artists'),
		'info'	=> esc_html__("YES! to enable site tracking code.", 'fullscreen-artists')
	  ),

	  array(
		'id'  		 => 'analytics-code',
		'type'  	 => 'textarea',
		'title' 	 => esc_html__('Google Analytics Tracking Code', 'fullscreen-artists'),
		'info'		 => esc_html__('Enter your Google tracking id (UA-XXXXX-X) here. If you want to offer your visitors the option to stop being tracked you can place the shortcode [dt_sc_privacy_google_tracking] somewhere on your site', 'fullscreen-artists')
	  ),

   ),
);

// ------------------------------
// backup                       
// ------------------------------
$options[]   = array(
  'name'     => 'backup_section',
  'title'    => esc_html__('Backup', 'fullscreen-artists'),
  'icon'     => 'fa fa-shield',
  'fields'   => array(

    array(
      'type'    => 'notice',
      'class'   => 'warning',
      'content' => esc_html__('You can save your current options. Download a Backup and Import.', 'fullscreen-artists')
    ),

    array(
      'type'    => 'backup',
    ),

  )
);

// ------------------------------
// license
// ------------------------------
$options[]   = array(
  'name'     => 'theme_version',
  'title'    => constant('FULLSCREENARTISTS_THEME_NAME').esc_html__(' Log', 'fullscreen-artists'),
  'icon'     => 'fa fa-info-circle',
  'fields'   => array(

    array(
      'type'    => 'heading',
      'content' => constant('FULLSCREENARTISTS_THEME_NAME').esc_html__(' Theme Change Log', 'fullscreen-artists')
    ),
     array(
      'type'    => 'content',
      'content' => '<pre>
*** Fullscreen Artists WordPress Theme Changelog ***

2023.11.07 - version 2.8
* Compatible with WordPress 6.3.2
* Updated : Unyson plugin source

2023.05.31 - version 2.7
* Compatible with WordPress 6.2
* Compatible with latest WooCommerce versions
* Compatible with PHP 8.2 version
* Updated: All premium plugins

2022.12.16 - version 2.6
* Compatible with WordPress 6.1
* Compatible with latest WooCommerce versions
* Compatible with PHP 8.1 version
* Updated: All premium plugins

2022.08.18 - version 2.5
* Compatible with WordPress 6.0.1
* Compatible with the latest WooCommerce plugin
* Updated: All premium plugins

2021.08.27 - version 2.4
* Compatible with wordpress 5.8

2021.01.23 - version 2.3
* Compatible with wordpress 5.6
* Some design issues updated
* Updated: All premium plugins

2020.12.08 - version 2.2
* Latest jQuery fixes updated
* Updated: All premium plugins

2020.08.13 - version 2.1
* Compatible with wordpress 5.5

2020.08.03 - version 2.0

* Updated: Envato Theme check
* Updated: sanitize_text_field added
* Updated: All wordpress theme standards
* Updated: All premium plugins

2020.02.01 - version 1.9

* Compatible with wordpress 5.3.2
* Updated: All premium plugins
* Updated: All wordpress theme standards
* Updated: Privacy and Cookies concept

* Fixed: Privacy Button Issue

* Improved: Single product breadcrumb section
* Improved: Revisions options added for all custom posts

2019.11.13 - version 1.8

	* Compatible with wordpress 5.2.4
	* Updated: All wordpress theme standards
	* Updated: All premium plugins
	* Updated: Revisions added to all custom post types
	* Updated: Gutenberg editor support for custom post types
	* Updated: Link for phone number module
	* Updated: Online documentation link, check readme file

	* Fixed: Customizer logo option
	* Fixed: Google Analytics issue
	* Fixed: Mailchimp email client issue
	* Fixed: Gutenberg check for old wordpress version

	* Improved: Shop page breadcrumb section
	* Improved: Tags taxonomy added for portfolio
	* Improved: Woocommerce cart module added with custom class option

	* New: Whatsapp Shortcode

	
2019.07.01 - version 1.7

 * Gutenberg Latest update compatible . 


2019.06.20 - version 1.6

 * Gutenberg Latest update compatible
 * Portfolio Video option
 * Coming Soon page fix
 * GDPR product single page fix
 * Codestar framework update
 * wpml xml file updated
 * Updated latest version of all third party plugins
 * Image Caption mudule link
 * Some design tweaks


2019.02.05 - version 1.5

 * Gutenberg compatible
 * Latest WordPress version 5.0.3 compatible
 * Updated latest version of all third party plugins
 * Some design tweaks

2018.11.10 - version 1.4
 * Gutenberg plugin compatible
 * Latest wordpress version 4.9.8 compatible
 * Updated latest version of all third party plugins
 * Updated documentation

2018.07.31 - version 1.3
* GDPR Compliant update in comment form, mailchimp form etc.

2018.07.26 - version 1.2
* Compatible with wordpress 4.9.7
* Fix - Woocommerce outdated files
* Fix - Iphone sidebar issue
* Fix - Add target attribute for social media
* Fix - Sociable option
* Fix - Option for change the site title color
* Fix - Unyson Page Bilder Conflict
* Fix - Nav Menu Role Plugin compatible.
* Fix - Added the smile fonts folder
* Fix - Woocommerce custom sidebar issue
* Updated demo contents
* Updated documentation
* Updated language files
* Fix - Event Category text added
* Updated all third party plugins
 * Updated designthemes core features plugin
* Fix - Buddypress issue
* Fix - youtube and vimeo video issue in https
* Fix - Twitter feeds links issue
* Fix - All theme functions updated for child theme support

2017.08.05 - version 1.1
 * Dummy data updated

2017.08.04 - version 1.0
 * First release! </pre>',
    ),
  )
);

// ------------------------------
// Seperator
// ------------------------------
$options[] = array(
  'name'   => 'seperator_1',
  'title'  => esc_html__('Plugin Options', 'fullscreen-artists'),
  'icon'   => 'fa fa-plug'
);


CSFramework::instance( $settings, $options );