<?php
/**
 * Theme Functions
 *
 * @package DTtheme
 * @author DesignThemes
 * @link http://wedesignthemes.com
 */
define( 'FULLSCREENARTISTS_THEME_DIR', get_template_directory() );
define( 'FULLSCREENARTISTS_THEME_URI', get_template_directory_uri() );
define( 'FULLSCREENARTISTS_CORE_PLUGIN', WP_PLUGIN_DIR.'/designthemes-core-features' );

if (function_exists ('wp_get_theme')) :
	$themeData = wp_get_theme();
	define( 'FULLSCREENARTISTS_THEME_NAME', $themeData->get('Name'));
	define( 'FULLSCREENARTISTS_THEME_VERSION', $themeData->get('Version'));
endif;

/* ---------------------------------------------------------------------------
 * Loads Kirki
 * ---------------------------------------------------------------------------*/
require_once( FULLSCREENARTISTS_THEME_DIR .'/kirki/index.php' );

/* ---------------------------------------------------------------------------
 * Loads Codestar
 * ---------------------------------------------------------------------------*/
if( ! class_exists( 'CSFramework' ) ){

	define( 'CS_ACTIVE_TAXONOMY',   false );
	define( 'CS_ACTIVE_SHORTCODE',  false );
	define( 'CS_ACTIVE_CUSTOMIZE',  false );

	require_once FULLSCREENARTISTS_THEME_DIR .'/cs-framework/cs-framework.php';
	
	/* ---------------------------------------------------------------------------
	 * Create function to get theme options
	 * --------------------------------------------------------------------------- */
	function fullscreenartists_cs_get_option($key, $value = '') {
	
		$v = cs_get_option( $key );
	
		if ( !empty( $v ) ) {
			return $v;
		} else {
			return $value;
		}
	}
}

/* ---------------------------------------------------------------------------
 * Loads Theme Textdomain
 * ---------------------------------------------------------------------------*/ 
define( 'FULLSCREENARTISTS_LANG_DIR', FULLSCREENARTISTS_THEME_DIR. '/languages' );
load_theme_textdomain( 'fullscreen-artists', FULLSCREENARTISTS_LANG_DIR );

/* ---------------------------------------------------------------------------
 * Loads the Admin Panel Style
 * ---------------------------------------------------------------------------*/
function fullscreenartists_admin_scripts() {
	wp_enqueue_style('fullscreenartists-admin', FULLSCREENARTISTS_THEME_URI .'/cs-framework-override/style.css');
}
add_action( 'admin_enqueue_scripts', 'fullscreenartists_admin_scripts' );

/* ---------------------------------------------------------------------------
 * Loads Theme Functions
 * ---------------------------------------------------------------------------*/

// Functions --------------------------------------------------------------------
require_once( FULLSCREENARTISTS_THEME_DIR .'/framework/register-functions.php' );
require_once( FULLSCREENARTISTS_THEME_DIR .'/framework/utils.php' );

// Header -----------------------------------------------------------------------
require_once( FULLSCREENARTISTS_THEME_DIR .'/framework/register-head.php' );

// Menu -------------------------------------------------------------------------
require_once( FULLSCREENARTISTS_THEME_DIR .'/framework/register-menu.php' );
require_once( FULLSCREENARTISTS_THEME_DIR .'/framework/register-mega-menu.php' );

// Hooks ------------------------------------------------------------------------
require_once( FULLSCREENARTISTS_THEME_DIR .'/framework/register-hooks.php' );

// Widgets ----------------------------------------------------------------------
add_action( 'widgets_init', 'fullscreenartists_widgets_init' );
function fullscreenartists_widgets_init() {
	require_once( FULLSCREENARTISTS_THEME_DIR .'/framework/register-widgets.php' );
}

// Plugins ---------------------------------------------------------------------- 
require_once( FULLSCREENARTISTS_THEME_DIR .'/framework/register-plugins.php' );

// WooCommerce ------------------------------------------------------------------
if( function_exists( 'is_woocommerce' ) ){
	require_once( FULLSCREENARTISTS_THEME_DIR .'/framework/register-woocommerce.php' );
}

// Register Gutenberg -----------------------------------------------------------
require_once( FULLSCREENARTISTS_THEME_DIR .'/framework/register-gutenberg-editor.php' );

?>