<?php
function fullscreenartists_kirki_config() {
	return 'fullscreenartists_kirki_config';
}

function fullscreenartists_defaults( $key = '' ) {
	$defaults = array();

	# site identify
	$defaults['use-custom-logo'] = '1';
	$defaults['custom-logo'] = FULLSCREENARTISTS_THEME_URI.'/images/logo.png';
	$defaults['custom-dark-logo'] = FULLSCREENARTISTS_THEME_URI.'/images/light-logo.png';
	$defaults['site_icon'] = FULLSCREENARTISTS_THEME_URI.'/images/favicon.ico';

	# site layout
	$defaults['site-responsive'] = '1';
	$defaults['site-layout'] = 'wide';
	$defaults['body-bg-color']      = '#ffffff';
	$defaults['body-content-color'] = '#2b2b2b';
	$defaults['body-a-color']       = '#e3ca94';
	$defaults['body-a-hover-color'] = '#2b2b2b';
	$defaults['custom-title'] = '#ffffff';

	# site skin
	$defaults['use-predefined-skin'] = '1';
	$defaults['predefined-skin']     = 'skyblue-gold';
	$defaults['primary-color']       = '#e3ca94';
	$defaults['secondary-color']     = '#0fb8cd';
	$defaults['tertiary-color']      = '#ccb88c';


	# site breadcrump
	$defaults['show-breadcrumb'] = '1';
	$defaults['breadcrumb-delimiter'] = 'fa default';
	$defaults['breadcrumb-style'] = 'default';
	$defaults['customize-breadcrumb-title-typo'] = '0';
	$defaults['breadcrumb-title-typo'] = array( 'font-family' => 'Aldrich',
		'variant' => 'regular',
		'subsets' => array( 'latin-ext' ),
		'font-size' => '30px',
		'line-height' => '1.5',
		'letter-spacing' => '0',
		'color' => '#fff',
		'text-transform' => 'none' );

	$defaults['customize-breadcrumb-bg'] = '0';
	$defaults['breadcrumb-bg-color'] = '#000000';
	$defaults['customize-breadcrumb-typo'] = '0';
	$defaults['breadcrumb-typo'] = array( 'font-family' => 'Open Sans',
		'variant' => 'regular',
		'subsets' => array( 'latin-ext' ),
		'font-size' => '13px',
		'line-height' => '1.5',
		'letter-spacing' => '0',
		'color' => '#fff',
		'text-transform' => 'none' );

	# site header
	$defaults['header-type'] = 'fullwidth-header';
	$defaults['enable-sticy-nav'] = '1';
	$defaults['header-position'] = 'above slider';
	$defaults['header-transparency'] = 'default';
	$defaults['enable-header-darkbg'] = '1';
	$defaults['menu-search-icon'] = '1';
	$defaults['search-box-type'] = 'type2';
	$defaults['menu-cart-icon'] = '0';
	$defaults['enable-top-bar-content'] = '0';

	# site menu
	$defaults['menu-active-style'] =  'menu-default';
	$defaults['menu-hover-style'] =  '';

	# site footer
	$defaults['show-footer'] = '0';
	$defaults['footer-columns'] = '4';
	$defaults['customize-footer-title-typo'] = '0';
	$defaults['footer-title-typo'] = array( 'font-family' => 'Open Sans',
		'variant' => '700',
		'subsets' => array( 'latin-ext' ),
		'font-size' => '20px',
		'line-height' => '36px',
		'letter-spacing' => '0',
		'color' => '#2b2b2b',
		'text-align' => 'left',
		'text-transform' => 'none' );
	$defaults['customize-footer-content-typo'] = '0';
	$defaults['footer-content-typo'] = array( 'font-family' => 'Open Sans',
		'variant' => 'regular',
		'subsets' => array( 'latin-ext' ),
		'font-size' => '14px',
		'line-height' => '24px',
		'letter-spacing' => '0',
		'color' => '#333333',
		'text-align' => 'left',
		'text-transform' => 'none' );

	# site footer
	$defaults['show-copyright-and-menu-section'] = '1';
	$defaults['show-copyright-text'] = '1';
	$defaults['copyright-text'] = '&copy; 2017 Fullscreen Artists. All rights reserved. Design by <a title="DesignThemes" href="http://themeforest.net/user/designthemes">DesignThemes</a>';
	$defaults['enable-copyright-darkbg'] = '1';
	$defaults['copyright-next'] = 'footer-menu';
	$defaults['customize-footer-copyright-bg'] = '0';
	$defaults['customize-footer-copyright-text-typo'] = '0';
	$defaults['customize-footer-menu-typo'] = '0';

	# site social
	$defaults['social-facebook'] = '#';
	$defaults['social-twitter'] = '#';
	$defaults['social-google-plus'] = '#';
	$defaults['social-instagram'] = '#';

	# site typography
	$defaults['customize-body-h1-typo'] = '1';
	$defaults['h1'] = array(
		'font-family' => 'Aldrich',
		'variant' => 'normal',
		'font-size' => '30px',
		'line-height' => 'normal',
		'letter-spacing' => '',
		'color' => '#2b2b2b',
		'text-align' => 'initial',
		'text-transform' => 'none'
	);
	$defaults['customize-body-h2-typo'] = '1';
	$defaults['h2'] = array(
		'font-family' => 'Aldrich',
		'variant' => 'normal',
		'font-size' => '24px',
		'line-height' => 'normal',
		'letter-spacing' => '',
		'color' => '#2b2b2b',
		'text-align' => 'initial',
		'text-transform' => 'none'
	);
	$defaults['customize-body-h3-typo'] = '1';
	$defaults['h3'] = array(
		'font-family' => 'Aldrich',
		'variant' => 'normal',
		'font-size' => '18px',
		'line-height' => 'normal',
		'letter-spacing' => '',
		'color' => '#2b2b2b',
		'text-align' => 'initial',
		'text-transform' => 'none'
	);
	$defaults['customize-body-h4-typo'] = '1';
	$defaults['h4'] = array(
		'font-family' => 'Aldrich',
		'variant' => 'normal',
		'font-size' => '16px',
		'line-height' => 'normal',
		'letter-spacing' => '',
		'color' => '#2b2b2b',
		'text-align' => 'initial',
		'text-transform' => 'none'
	);
	$defaults['customize-body-h5-typo'] = '1';
	$defaults['h5'] = array(
		'font-family' => 'Aldrich',
		'variant' => 'normal',
		'font-size' => '14px',
		'line-height' => 'normal',
		'letter-spacing' => '',
		'color' => '#2b2b2b',
		'text-align' => 'initial',
		'text-transform' => 'none'
	);
	$defaults['customize-body-h6-typo'] = '1';
	$defaults['h6'] = array(
		'font-family' => 'Aldrich',
		'variant' => 'normal',
		'font-size' => '13px',
		'line-height' => 'normal',
		'letter-spacing' => '',
		'color' => '#2b2b2b',
		'text-align' => 'initial',
		'text-transform' => 'none'
	);
	$defaults['menu-typo'] = array(
		'font-family' => 'Aldrich',
		'font-size' => '',
		'line-height' => '',
		'letter-spacing' => '',
		'color' => '',
		'text-transform' => 'none'
	);
	$defaults['customize-body-content-typo'] = '1';
	$defaults['body-content-typo'] = array(
		'font-family' => 'Open Sans',
		'font-size' => '15px',
		'line-height' => '28px',
		'letter-spacing' => '',
		'color' => ''
	);

	if( !empty( $key ) && array_key_exists( $key, $defaults) ) {
		return $defaults[$key];
	}

	return '';
}

function fullscreenartists_image_positions() {

	$positions = array( "top left" => esc_attr__('Top Left','fullscreen-artists'),
		"top center"    => esc_attr__('Top Center','fullscreen-artists'),
		"top right"     => esc_attr__('Top Right','fullscreen-artists'),
		"center left"   => esc_attr__('Center Left','fullscreen-artists'),
		"center center" => esc_attr__('Center Center','fullscreen-artists'),
		"center right"  => esc_attr__('Center Right','fullscreen-artists'),
		"bottom left"   => esc_attr__('Bottom Left','fullscreen-artists'),
		"bottom center" => esc_attr__('Bottom Center','fullscreen-artists'),
		"bottom right"  => esc_attr__('Bottom Right','fullscreen-artists'),
	);

	return $positions;
}

function fullscreenartists_image_repeats() {

	$image_repeats = array( "repeat" => esc_attr__('Repeat','fullscreen-artists'),
		"repeat-x"  => esc_attr__('Repeat in X-axis','fullscreen-artists'),
		"repeat-y"  => esc_attr__('Repeat in Y-axis','fullscreen-artists'),
		"no-repeat" => esc_attr__('No Repeat','fullscreen-artists')
	);

	return $image_repeats;
}

function fullscreenartists_border_styles() {

	$image_repeats = array(
		"dotted" => esc_attr__('Dotted','fullscreen-artists'),
		"dashed" => esc_attr__('Dashed','fullscreen-artists'),
		"solid"	 => esc_attr__('Solid','fullscreen-artists'),
		"double" => esc_attr__('Double','fullscreen-artists'),
		"groove" => esc_attr__('Groove','fullscreen-artists'),
		"ridge"	 => esc_attr__('Ridge','fullscreen-artists'),
	);

	return $image_repeats;
}

function fullscreenartists_animations() {

	$animations = array(
		'' 					 => esc_html__('Default','fullscreen-artists'),	
		"bigEntrance"        =>  esc_attr__("bigEntrance",'fullscreen-artists'),
        "bounce"             =>  esc_attr__("bounce",'fullscreen-artists'),
        "bounceIn"           =>  esc_attr__("bounceIn",'fullscreen-artists'),
        "bounceInDown"       =>  esc_attr__("bounceInDown",'fullscreen-artists'),
        "bounceInLeft"       =>  esc_attr__("bounceInLeft",'fullscreen-artists'),
        "bounceInRight"      =>  esc_attr__("bounceInRight",'fullscreen-artists'),
        "bounceInUp"         =>  esc_attr__("bounceInUp",'fullscreen-artists'),
        "bounceOut"          =>  esc_attr__("bounceOut",'fullscreen-artists'),
        "bounceOutDown"      =>  esc_attr__("bounceOutDown",'fullscreen-artists'),
        "bounceOutLeft"      =>  esc_attr__("bounceOutLeft",'fullscreen-artists'),
        "bounceOutRight"     =>  esc_attr__("bounceOutRight",'fullscreen-artists'),
        "bounceOutUp"        =>  esc_attr__("bounceOutUp",'fullscreen-artists'),
        "expandOpen"         =>  esc_attr__("expandOpen",'fullscreen-artists'),
        "expandUp"           =>  esc_attr__("expandUp",'fullscreen-artists'),
        "fadeIn"             =>  esc_attr__("fadeIn",'fullscreen-artists'),
        "fadeInDown"         =>  esc_attr__("fadeInDown",'fullscreen-artists'),
        "fadeInDownBig"      =>  esc_attr__("fadeInDownBig",'fullscreen-artists'),
        "fadeInLeft"         =>  esc_attr__("fadeInLeft",'fullscreen-artists'),
        "fadeInLeftBig"      =>  esc_attr__("fadeInLeftBig",'fullscreen-artists'),
        "fadeInRight"        =>  esc_attr__("fadeInRight",'fullscreen-artists'),
        "fadeInRightBig"     =>  esc_attr__("fadeInRightBig",'fullscreen-artists'),
        "fadeInUp"           =>  esc_attr__("fadeInUp",'fullscreen-artists'),
        "fadeInUpBig"        =>  esc_attr__("fadeInUpBig",'fullscreen-artists'),
        "fadeOut"            =>  esc_attr__("fadeOut",'fullscreen-artists'),
        "fadeOutDownBig"     =>  esc_attr__("fadeOutDownBig",'fullscreen-artists'),
        "fadeOutLeft"        =>  esc_attr__("fadeOutLeft",'fullscreen-artists'),
        "fadeOutLeftBig"     =>  esc_attr__("fadeOutLeftBig",'fullscreen-artists'),
        "fadeOutRight"       =>  esc_attr__("fadeOutRight",'fullscreen-artists'),
        "fadeOutUp"          =>  esc_attr__("fadeOutUp",'fullscreen-artists'),
        "fadeOutUpBig"       =>  esc_attr__("fadeOutUpBig",'fullscreen-artists'),
        "flash"              =>  esc_attr__("flash",'fullscreen-artists'),
        "flip"               =>  esc_attr__("flip",'fullscreen-artists'),
        "flipInX"            =>  esc_attr__("flipInX",'fullscreen-artists'),
        "flipInY"            =>  esc_attr__("flipInY",'fullscreen-artists'),
        "flipOutX"           =>  esc_attr__("flipOutX",'fullscreen-artists'),
        "flipOutY"           =>  esc_attr__("flipOutY",'fullscreen-artists'),
        "floating"           =>  esc_attr__("floating",'fullscreen-artists'),
        "hatch"              =>  esc_attr__("hatch",'fullscreen-artists'),
        "hinge"              =>  esc_attr__("hinge",'fullscreen-artists'),
        "lightSpeedIn"       =>  esc_attr__("lightSpeedIn",'fullscreen-artists'),
        "lightSpeedOut"      =>  esc_attr__("lightSpeedOut",'fullscreen-artists'),
        "pullDown"           =>  esc_attr__("pullDown",'fullscreen-artists'),
        "pullUp"             =>  esc_attr__("pullUp",'fullscreen-artists'),
        "pulse"              =>  esc_attr__("pulse",'fullscreen-artists'),
        "rollIn"             =>  esc_attr__("rollIn",'fullscreen-artists'),
        "rollOut"            =>  esc_attr__("rollOut",'fullscreen-artists'),
        "rotateIn"           =>  esc_attr__("rotateIn",'fullscreen-artists'),
        "rotateInDownLeft"   =>  esc_attr__("rotateInDownLeft",'fullscreen-artists'),
        "rotateInDownRight"  =>  esc_attr__("rotateInDownRight",'fullscreen-artists'),
        "rotateInUpLeft"     =>  esc_attr__("rotateInUpLeft",'fullscreen-artists'),
        "rotateInUpRight"    =>  esc_attr__("rotateInUpRight",'fullscreen-artists'),
        "rotateOut"          =>  esc_attr__("rotateOut",'fullscreen-artists'),
        "rotateOutDownRight" =>  esc_attr__("rotateOutDownRight",'fullscreen-artists'),
        "rotateOutUpLeft"    =>  esc_attr__("rotateOutUpLeft",'fullscreen-artists'),
        "rotateOutUpRight"   =>  esc_attr__("rotateOutUpRight",'fullscreen-artists'),
        "shake"              =>  esc_attr__("shake",'fullscreen-artists'),
        "slideDown"          =>  esc_attr__("slideDown",'fullscreen-artists'),
        "slideExpandUp"      =>  esc_attr__("slideExpandUp",'fullscreen-artists'),
        "slideLeft"          =>  esc_attr__("slideLeft",'fullscreen-artists'),
        "slideRight"         =>  esc_attr__("slideRight",'fullscreen-artists'),
        "slideUp"            =>  esc_attr__("slideUp",'fullscreen-artists'),
        "stretchLeft"        =>  esc_attr__("stretchLeft",'fullscreen-artists'),
        "stretchRight"       =>  esc_attr__("stretchRight",'fullscreen-artists'),
        "swing"              =>  esc_attr__("swing",'fullscreen-artists'),
        "tada"               =>  esc_attr__("tada",'fullscreen-artists'),
        "tossing"            =>  esc_attr__("tossing",'fullscreen-artists'),
        "wobble"             =>  esc_attr__("wobble",'fullscreen-artists'),
        "fadeOutDown"        =>  esc_attr__("fadeOutDown",'fullscreen-artists'),
        "fadeOutRightBig"    =>  esc_attr__("fadeOutRightBig",'fullscreen-artists'),
        "rotateOutDownLeft"  =>  esc_attr__("rotateOutDownLeft",'fullscreen-artists')
    );

	return $animations;
}