<?php
$config = fullscreenartists_kirki_config();

# Breadcrumb Settings
FULLSCREENARTISTS_Kirki::add_section( 'dt_site_breadcrumb_section', array(
	'title' => esc_html__( 'Breadcrumb', 'fullscreen-artists' ),
	'panel' => 'dt_site_breadcrumb_panel',
	'priority' => 1,	
) );

	# show-breadcrumb
	FULLSCREENARTISTS_Kirki::add_field( $config, array(
		'type'     => 'switch',
		'settings' => 'show-breadcrumb',
		'label'    => esc_html__( 'Show Breadcrumb', 'fullscreen-artists' ),
		'section'  => 'dt_site_breadcrumb_section',
		'default'  => '1',
		'choices'  => array(
			'on'  => esc_attr__( 'Yes', 'fullscreen-artists' ),
			'off' => esc_attr__( 'No', 'fullscreen-artists' )
		)
	));

	# breadcrumb-delimiter	
	FULLSCREENARTISTS_Kirki::add_field( $config, array(
		'type'     => 'select',
		'settings' => 'breadcrumb-delimiter',
		'label'    => esc_html__( 'Breadcrumb Delimiter', 'fullscreen-artists' ),
		'section'  => 'dt_site_breadcrumb_section',
		'default'  => fullscreenartists_defaults( 'breadcrumb-delimiter' ),
		'choices'  => array(
			"fa default" => esc_attr__('Default','fullscreen-artists'),
			"fa fa-angle-double-right" => esc_attr__('Double Angle Right','fullscreen-artists'),
			"fa fa-sort" => esc_attr__('Sort','fullscreen-artists'),
			"fa fa-arrow-circle-right" => esc_attr__('Arrow Circle Right','fullscreen-artists'),
			"fa fa-angle-right" => esc_attr__('Angle Right','fullscreen-artists'),
			"fa fa-caret-right" => esc_attr__('Caret Right','fullscreen-artists'),
			"fa fa-arrow-right" => esc_attr__('Arrow Right','fullscreen-artists'),
			"fa fa-chevron-right" => esc_attr__('Chevron Right','fullscreen-artists'),
			"fa fa-hand-o-right" => esc_attr__('Hand Right','fullscreen-artists'),
			"fa fa-plus" => esc_attr__('Plus','fullscreen-artists'),
			"fa fa-remove" => esc_attr__('Remove','fullscreen-artists'),
			"fa fa-glass" => esc_attr__('Glass','fullscreen-artists'),				
		),
		'active_callback' => array(
			array( 'setting' => 'show-breadcrumb', 'operator' => '==', 'value' => '1' )
		)			
	));

	# breadcrumb-style	
	FULLSCREENARTISTS_Kirki::add_field( $config, array(
		'type'     => 'select',
		'settings' => 'breadcrumb-style',
		'label'    => esc_html__( 'Breadcrumb Style', 'fullscreen-artists' ),
		'section'  => 'dt_site_breadcrumb_section',
		'default'  => fullscreenartists_defaults( 'breadcrumb-style' ),
		'choices'  => array(
			"default"	=> esc_attr__('Default','fullscreen-artists'),
			"aligncenter"	=> esc_attr__('Align Center','fullscreen-artists'),
			"alignright"	=> esc_attr__('Align Right','fullscreen-artists'),
			"breadcrumb-left"	=> esc_attr__('Left Side Breadcrumb','fullscreen-artists'),
			"breadcrumb-right"	=> esc_attr__('Right Side Breadcrumb','fullscreen-artists'),
			"breadcrumb-top-right-title-center"	=> esc_attr__('Top Right Title Center','fullscreen-artists'),
			"breadcrumb-top-left-title-center"	=> esc_attr__('Top Left Title Center','fullscreen-artists'),				
		),
		'active_callback' => array(
			array( 'setting' => 'show-breadcrumb', 'operator' => '==', 'value' => '1' )
		)			
	));

# Breadcrumb Background Settings
FULLSCREENARTISTS_Kirki::add_section( 'dt_site_breadcrumb_bg_section', array(
	'title' => esc_html__( 'Background', 'fullscreen-artists' ),
	'panel' => 'dt_site_breadcrumb_panel',
	'priority' => 2,	
) );
		# customize-breadcrumb-bg
		FULLSCREENARTISTS_Kirki::add_field( $config, array(
			'type'     => 'switch',
			'settings' => 'customize-breadcrumb-bg',
			'label'    => esc_html__( 'Customize Background ?', 'fullscreen-artists' ),
			'section'  => 'dt_site_breadcrumb_bg_section',
			'default'  => fullscreenartists_defaults('customize-breadcrumb-bg'),
			'choices'  => array(
				'on'  => esc_attr__( 'Yes', 'fullscreen-artists' ),
				'off' => esc_attr__( 'No', 'fullscreen-artists' )
			),
			'active_callback' => array(
				array( 'setting' => 'show-breadcrumb', 'operator' => '==', 'value' => '1' )
			)			
		));

		# breadcrumb-bg-color
		FULLSCREENARTISTS_Kirki::add_field( $config, array(
			'type' => 'color',
			'settings' => 'breadcrumb-bg-color',
			'label'    => esc_html__( 'Background Color', 'fullscreen-artists' ),
			'section'  => 'dt_site_breadcrumb_bg_section',
			'output' => array(
				array( 'element' => '.main-title-section-wrapper:before, .header-on-slider .main-title-section-wrapper:before' , 'property' => 'background-color' )
			),
			'choices' => array( 'alpha' => true ),
			'active_callback' => array(
				array( 'setting' => 'show-breadcrumb', 'operator' => '==', 'value' => '1' ),
				array( 'setting' => 'customize-breadcrumb-bg', 'operator' => '==', 'value' => '1' )
			)
		));

		# breadcrumb-bg-image
		FULLSCREENARTISTS_Kirki::add_field( $config, array(
			'type' => 'image',
			'settings' => 'breadcrumb-bg-image',
			'label'    => esc_html__( 'Background Image', 'fullscreen-artists' ),
			'description'    => esc_html__( 'Add Background Image for breadcrumb', 'fullscreen-artists' ),
			'section'  => 'dt_site_breadcrumb_bg_section',
			'output' => array(
				array( 'element' => '.main-title-section-wrapper:before' , 'property' => 'background-image' )
			),
			'active_callback' => array(
				array( 'setting' => 'show-breadcrumb', 'operator' => '==', 'value' => '1' ),
				array( 'setting' => 'customize-breadcrumb-bg', 'operator' => '==', 'value' => '1' )
			)
		));

		# breadcrumb-bg-position
		FULLSCREENARTISTS_Kirki::add_field( $config, array(
			'type' => 'select',
			'settings' => 'breadcrumb-bg-position',
			'label'    => esc_html__( 'Background Image Position', 'fullscreen-artists' ),
			'section'  => 'dt_site_breadcrumb_bg_section',
			'output' => array(
				array( 'element' => '.main-title-section-wrapper:before' , 'property' => 'background-position' )				
			),
			'default' => 'center',
			'multiple' => 1,
			'choices' => fullscreenartists_image_positions(),
			'active_callback' => array(
				array( 'setting' => 'show-breadcrumb', 'operator' => '==', 'value' => '1' ),
				array( 'setting' => 'customize-breadcrumb-bg', 'operator' => '==', 'value' => '1' ),
				array( 'setting' => 'breadcrumb-bg-image', 'operator' => '!=', 'value' => '' )
			)
		));

		# breadcrumb-bg-repeat
		FULLSCREENARTISTS_Kirki::add_field( $config, array(
			'type' => 'select',
			'settings' => 'breadcrumb-bg-repeat',
			'label'    => esc_html__( 'Background Image Repeat', 'fullscreen-artists' ),
			'section'  => 'dt_site_breadcrumb_bg_section',
			'output' => array(
				array( 'element' => '.main-title-section-wrapper:before' , 'property' => 'background-repeat' )				
			),
			'default' => 'repeat',
			'multiple' => 1,
			'choices' => fullscreenartists_image_repeats(),
			'active_callback' => array(
				array( 'setting' => 'show-breadcrumb', 'operator' => '==', 'value' => '1' ),
				array( 'setting' => 'customize-breadcrumb-bg', 'operator' => '==', 'value' => '1' ),
				array( 'setting' => 'breadcrumb-bg-image', 'operator' => '!=', 'value' => '' )
			)
		));

# Breadcrumb Typography
	FULLSCREENARTISTS_Kirki::add_section( 'dt_site_breadcrumb_typo', array(
		'title'	=> esc_html__( 'Typography', 'fullscreen-artists' ),
		'panel' => 'dt_site_breadcrumb_panel',
		'priority' => 3,
	) );

		# customize-breadcrumb-title-typo
		FULLSCREENARTISTS_Kirki::add_field( $config, array(
			'type'     => 'switch',
			'settings' => 'customize-breadcrumb-title-typo',
			'label'    => esc_html__( 'Customize Title ?', 'fullscreen-artists' ),
			'section'  => 'dt_site_breadcrumb_typo',
			'default'  => fullscreenartists_defaults('customize-breadcrumb-title-typo'),
			'choices'  => array(
				'on'  => esc_attr__( 'Yes', 'fullscreen-artists' ),
				'off' => esc_attr__( 'No', 'fullscreen-artists' )
			),
			'active_callback' => array(
				array( 'setting' => 'show-breadcrumb', 'operator' => '==', 'value' => '1' )
			)			
		));

		# breadcrumb-title-typo
		FULLSCREENARTISTS_Kirki::add_field( $config, array(
			'type'     => 'typography',
			'settings' => 'breadcrumb-title-typo',
			'label'    => esc_html__( 'Title Typography', 'fullscreen-artists' ),
			'section'  => 'dt_site_breadcrumb_typo',
			'output' => array(
				array( 'element' => '.main-title-section h1, h1.simple-title' )
			),
			'default' => fullscreenartists_defaults( 'breadcrumb-title-typo' ),
			'active_callback' => array(
				array( 'setting' => 'show-breadcrumb', 'operator' => '==', 'value' => '1' ),
				array( 'setting' => 'customize-breadcrumb-title-typo', 'operator' => '==', 'value' => '1' )
			)		
		));		

		# customize-breadcrumb-typo
		FULLSCREENARTISTS_Kirki::add_field( $config, array(
			'type'     => 'switch',
			'settings' => 'customize-breadcrumb-typo',
			'label'    => esc_html__( 'Customize Link ?', 'fullscreen-artists' ),
			'section'  => 'dt_site_breadcrumb_typo',
			'default'  => fullscreenartists_defaults('customize-breadcrumb-typo'),
			'choices'  => array(
				'on'  => esc_attr__( 'Yes', 'fullscreen-artists' ),
				'off' => esc_attr__( 'No', 'fullscreen-artists' )
			),
			'active_callback' => array(
				array( 'setting' => 'show-breadcrumb', 'operator' => '==', 'value' => '1' )
			)			
		));

		# breadcrumb-typo
		FULLSCREENARTISTS_Kirki::add_field( $config, array(
			'type'     => 'typography',
			'settings' => 'breadcrumb-typo',
			'label'    => esc_html__( 'Link Typography', 'fullscreen-artists' ),
			'section'  => 'dt_site_breadcrumb_typo',
			'output' => array(
				array( 'element' => 'div.breadcrumb a' )
			),
			'default' => fullscreenartists_defaults( 'breadcrumb-typo' ),
			'active_callback' => array(
				array( 'setting' => 'show-breadcrumb', 'operator' => '==', 'value' => '1' ),
				array( 'setting' => 'customize-breadcrumb-typo', 'operator' => '==', 'value' => '1' )
			)		
		));										