<?php
$config = fullscreenartists_kirki_config();

# Menu Typography
FULLSCREENARTISTS_Kirki::add_section( 'dt_menu_typo_section', array(
	'title' => esc_html__( 'Menu', 'fullscreen-artists' ),
	'panel' => 'dt_site_typography_panel',
	'priority' => 5
) );
	
	# customize-menu-typo
	FULLSCREENARTISTS_Kirki::add_field( $config, array(
		'type'     => 'switch',
		'settings' => 'customize-menu-typo',
		'label'    => esc_html__( 'Customize Menu Typo', 'fullscreen-artists' ),
		'section'  => 'dt_menu_typo_section',
		'default'  => fullscreenartists_defaults( 'customize-menu-typo' ),
		'choices'  => array(
			'on'  => esc_attr__( 'Yes', 'fullscreen-artists' ),
			'off' => esc_attr__( 'No', 'fullscreen-artists' )
		)
	));

	# menu-typo
	FULLSCREENARTISTS_Kirki::add_field( $config ,array(
		'type' => 'typography',
		'settings' => 'menu-typo',
		'label'    => esc_html__('Settings', 'fullscreen-artists'),
		'section'  => 'dt_menu_typo_section',
		'output' => array(
			array( 'element' => '#main-menu > ul.menu > li > a' )
		),
		'default' => fullscreenartists_defaults('menu-typo'),
		'active_callback' => array(
			array( 'setting' => 'customize-menu-typo', 'operator' => '==', 'value' => '1' )
		)
	));

# Body Content
FULLSCREENARTISTS_Kirki::add_section( 'dt_body_content_typo_section', array(
	'title' => esc_html__( 'Body', 'fullscreen-artists' ),
	'panel' => 'dt_site_typography_panel',
	'priority' => 10
) );
	
	# customize-body-content-typo
	FULLSCREENARTISTS_Kirki::add_field( $config, array(
		'type'     => 'switch',
		'settings' => 'customize-body-content-typo',
		'label'    => esc_html__( 'Customize Content Typo', 'fullscreen-artists' ),
		'section'  => 'dt_body_content_typo_section',
		'default'  => fullscreenartists_defaults( 'customize-body-content-typo' ),
		'choices'  => array(
			'on'  => esc_attr__( 'Yes', 'fullscreen-artists' ),
			'off' => esc_attr__( 'No', 'fullscreen-artists' )
		)
	));

	# body-content-typo
	FULLSCREENARTISTS_Kirki::add_field( $config ,array(
		'type' => 'typography',
		'settings' => 'body-content-typo',
		'label'    => esc_html__('Settings', 'fullscreen-artists'),
		'section'  => 'dt_body_content_typo_section',
		'output' => array( 
			array( 'element' => 'body' ),
			array( 
				'element' => '.editor-styles-wrapper > *',
				'context' => array ('editor')
			)
		),
		'default' => fullscreenartists_defaults('body-content-typo'),
		'active_callback' => array(
			array( 'setting' => 'customize-body-content-typo', 'operator' => '==', 'value' => '1' )
		)
	));

FULLSCREENARTISTS_Kirki::add_section( 'dt_headings_typo_section', array(
	'title' => esc_html__( 'Headings', 'fullscreen-artists' ),
	'panel' => 'dt_site_typography_panel',
	'priority' => 1
) );
	# Heading Tags
	for( $i=1; $i<=6; $i++ ) {

		if($i == 1){
			$typo_element = '.editor-post-title__block .editor-post-title__input, .editor-styles-wrapper .wp-block h1, body#tinymce.wp-editor.content h1';
		} else{
			$typo_element = '.editor-styles-wrapper .wp-block h'.$i.'';
		}

		# customize-body-heading-typo
		FULLSCREENARTISTS_Kirki::add_field( $config, array(
			'type'     => 'switch',
			'settings' => 'customize-body-h'.$i.'-typo',
			'label'    => esc_html__( 'Customize H', 'fullscreen-artists' ). $i.__(' Tag', 'fullscreen-artists'),
			'section'  => 'dt_headings_typo_section',
			'default'  => fullscreenartists_defaults( 'customize-body-h'.$i.'-typo' ),
			'choices'  => array(
				'on'  => esc_attr__( 'Yes', 'fullscreen-artists' ),
				'off' => esc_attr__( 'No', 'fullscreen-artists' )
			)
		));

		# heading tag typography	
		FULLSCREENARTISTS_Kirki::add_field( $config ,array(
			'type' => 'typography',
			'settings' => 'h'.$i,
			'label'    => esc_html__( 'H', 'fullscreen-artists' ).$i. ' '.__('Tag Settings', 'fullscreen-artists'),
			'section'  => 'dt_headings_typo_section',
			'output' => array( 
				array( 'element' => 'h'.$i ),
				array( 
					'element' => $typo_element,
					'context' => array ('editor')
				),
			),
			'default' => fullscreenartists_defaults('h'.$i),
			'choices'  => array(
				'variant' => array(
					'100',
					'100italic',
					'200',
					'200italic',
					'300',
					'300italic',
					'regular',
					'italic',
					'500',
					'500italic',
					'600',
					'600italic',
					'700',
					'700italic',
					'800',
					'800italic',
					'900',
					'900italic'
				),
			),
			'active_callback' => array(
				array( 'setting' => 'customize-body-h'.$i.'-typo', 'operator' => '==', 'value' => '1' )
			)
		));		

		# Divider
		FULLSCREENARTISTS_Kirki::add_field( $config ,array(
			'type'=> 'custom',
			'settings' => 'customize-body-h'.$i.'-typo-divider',
			'section'  => 'dt_headings_typo_section',
			'default'  => '<div class="customize-control-divider"></div>'
		));		
	}